function R  = gumbrnd(a,b,m,n)
%GUMBRND Random matrices from a Gumbel distribution.
% 
% CALL:  R = gumbrnd(a,b,m,n) 
%  
%  R     = a matrix of random numbers from the Gumbel distribution
%  a, b  = parameters of the Gumbel distribution.
%  R = gumbrnd(a,b,m,n) returns an m by n matrix. 
%
% Example:
%   R=gumbrnd(5,10,1,100);
%   gumbplot(R);
%
% See also: gumbfit, gumbpdf, gumbcdf, gumbinv, gumbstat

% Reference: 
%  Johnson  N.L., Kotz S. and Balakrishnan, N. (1994)
%  Continuous Univariate Distributions, Volume 2. Wiley. 

R=-evrnd(-b,a,m,n);




