function logn3plot(x)
%LOGN3PLOT Distribution plot for 3-parameter lognormally distributed data.
%   LOGN3PLOT(X) makes a distribution plot for 3-parameter lognormally distributed data X.
%
%   The routine performs an estimate of the dislocation parameter b (see LOGN3FIT)
%
%   See also: LOGN3FIT, NORMPLOT
%

% Written by Tord Rikte 2002-02-xx.

[m0 sigma b]=logn3fit(x);
normplot(log(x-b));
xlabel('Logarithms of dislocated data')
title('3-parameter log-normal distribution plot')