function R = rbeta(a,b,varargin)
%WBETARND  Random matrices from a Beta distribution
%
% CALL:  R =wbetarnd(a,b,sz)
%
%       R = matrix of random numbers
%    a, b = parameters
%      sz = size(R)    (Default size(a))
%            sz can be a comma separated list or a vector 
%            giving the size of R (see zeros for options)
% 
%  The random numbers are generated by the inverse method. 
% 
% Example:
%   R=wbetarnd(4,4,40);
%   plot(R,'.')


%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg




error(nargchk(2,inf,nargin))
if nargin<3,
  [errorcode a b] = comnsize(a,b);
else
  [errorcode a b] = comnsize(a,b,zeros(varargin{:}));
end 
if errorcode > 0
  error('df1 and df2 must be a scalar or of corresponding size as given by m and n.');
end

csiz=size(a);
R = wbetainv(rand(csiz),a,b);



